CRMchat APIBeta
Telegram APIPayments

payments.sendStarGiftOffer

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.sendStarGiftOffer

Send an offer to purchase a collectible gift », see here » for the full flow.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Send an offer to purchase a collectible gift », see here » for the full flow.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.sendStarGiftOffer" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "slug": "string",      "price": {        "_": "starsAmount",        "amount": "string",        "nanos": 0      },      "duration": 0,      "randomId": "string"    }  }'
{  "result": {    "_": "updatesTooLong"  }}